import java.io.UnsupportedEncodingException;
import java.util.Date;
import java.util.Properties;

import javax.mail.Message;
import javax.mail.MessagingException;
import javax.mail.Session;
import javax.mail.Transport;
import javax.mail.internet.AddressException;
import javax.mail.internet.InternetAddress;
import javax.mail.internet.MimeMessage;

public class MailJavaMail {

	public static void main(String[] args) {
		MailJavaMail mjm=new MailJavaMail();
		mjm.sendMail();
	}
	
	public MailJavaMail() {}
	
	public void sendMail()
	{
		Properties props=new Properties();
		
		props.put("mail.smtp.host",MailSettings.smtpHost);
		
		Session session=Session.getDefaultInstance(props,null);
	
		Message message=new MimeMessage(session);
		
		try {
			message.setFrom(new InternetAddress(MailSettings.fromAddress,MailSettings.fromName));
			
			message.setRecipient(Message.RecipientType.TO,new InternetAddress(MailSettings.toAddress));

			message.setSubject(MailSettings.messageSubject);
			
			message.setText(MailSettings.messageBody1);
			
			message.setSentDate(new Date());
			
			Transport.send(message);
			
		} catch (AddressException e) {
			e.printStackTrace();
		} catch (MessagingException e) {
			e.printStackTrace();
		} catch (UnsupportedEncodingException e) {
			e.printStackTrace();
		}
	}

}
